LibreOffice: XIntrospectionAccess Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIntrospectionAccess Interface Referencepublished

represents the result of an introspection operation done by the inspect method of XIntrospection. More...

`import <XIntrospectionAccess.idl;`

Inheritance diagram for XIntrospectionAccess:

## Public Member Functions
long | getSuppliedMethodConcepts ()
| returns information about which method concepts described in the MethodConcept constants group are supported by this XIntrospectionAccess implementation.
long | getSuppliedPropertyConcepts ()
| returns information about which property concepts described in the PropertyConcept constants group are supported by this XIntrospectionAccess implementation.
com::sun::star::beans::Property | getProperty ([in] string aName, [in] long nPropertyConcepts) raises ( com::sun::star::container::NoSuchElementException )
| returns information about a property if a property with the demanded name exists and if it accords to one of the demanded PropertyConcepts.
boolean | hasProperty ([in] string aName, [in] long nPropertyConcepts)
| allows to ask if a property with the demanded name exists and if it accords to one of the demanded PropertyConcept.
sequence< com::sun::star::beans::Property > | getProperties ([in] long nPropertyConcepts)
| returns a sequence of properties of the introspected object
com::sun::star::reflection::XIdlMethod | getMethod ([in] string aName, [in] long nMethodConcepts) raises ( com::sun::star::lang::NoSuchMethodException )
| returns information about a method if a method with the demanded name exists and if it accords to one of the demanded MethodConcepts.
boolean | hasMethod ([in] string aName, [in] long nMethodConcepts)
| allows to ask if a method with the demanded name exists and if it accords to one of the demanded MethodConcept.
sequence< com::sun::star::reflection::XIdlMethod > | getMethods ([in] long nMethodConcepts)
| returns a sequence of methods of the introspected object.
sequence< type > | getSupportedListeners ()
| returns the listener types supported by the introspected object.
com::sun::star::uno::XInterface | queryAdapter ([in] type aInterfaceType) raises ( com::sun::star::beans::IllegalTypeException )
| creates an adapter that implements an interface with the specified type.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents the result of an introspection operation done by the inspect method of XIntrospection.

This interface gives information about an object's properties and methods as detected in the introspection process. It's not possible to access properties or call methods directly using this interface but it provides access to other interfaces to do so. See com::sun::star::beans::XIntrospectionAccess::queryAdapter()

The XExactName interface has to be supported in order to implement inaccurate name access for all objects which implement the com::sun::star::container::XNameAccess interface or XPropertySet.

The XMaterialHolder interface has to be supported to give access to the inspected object.

    @see XPropertySet
    @see com::sun::star::beans::XExactName

## Member Function Documentation

## ◆ getMethod()

com::sun::star::reflection::XIdlMethod getMethod | ( | [in] string | aName,
|  | [in] long | nMethodConcepts
| ) |  |
raises | ( | com::sun::star::lang::NoSuchMethodException
| ) |  |

returns information about a method if a method with the demanded name exists and if it accords to one of the demanded MethodConcepts.

The information is provided as com::sun::star::reflection::XIdlMethod.

Returns
  A com::sun::star::reflection::XIdlMethod providing information about and access to the demanded method if a corresponding method exists.

Parameters

  aName | the name of the method.
  nMethodConcepts | zero or more constants of the MethodConcept constants group combined by an arithmetical or-operation.

Exceptions

  NoSuchElementException | when a method with the demanded name doesn't exist or if it accords to a wrong MethodConcept.

## ◆ getMethods()

sequence< com::sun::star::reflection::XIdlMethod > getMethods | ( | [in] long | nMethodConcepts | ) |

returns a sequence of methods of the introspected object.

Returns
  all methods of the introspected object which accord to the demanded MethodConcepts.

Parameters

  nMethodConcepts | zero or more constants of the MethodConcept constants group combined by an arithmetical or-operation.

## ◆ getProperties()

sequence< com::sun::star::beans::Property > getProperties | ( | [in] long | nPropertyConcepts | ) |

returns a sequence of properties of the introspected object

Returns
  all properties of the introspected object which accord to the demanded PropertyConcepts.

Parameters

  nPropertyConcepts | zero or more constants of the PropertyConcept constants group combined by an arithmetical or-operation.

## ◆ getProperty()

com::sun::star::beans::Property getProperty | ( | [in] string | aName,
|  | [in] long | nPropertyConcepts
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

returns information about a property if a property with the demanded name exists and if it accords to one of the demanded PropertyConcepts.

The information is provided as Property struct.

Returns
  A Property struct providing information about the demanded property, if a corresponding property exists.

Parameters

  aName | the name of the property.
  nPropertyConcepts | zero or more constants of the PropertyConcept constants group combined by an arithmetical or-operation.

Exceptions

  NoSuchElementException | when a property with the demanded name doesn't exist or if it accords to a wrong PropertyConcept.

## ◆ getSuppliedMethodConcepts()

long getSuppliedMethodConcepts | ( |  | ) |

returns information about which method concepts described in the MethodConcept constants group are supported by this XIntrospectionAccess implementation.

The minimum supported concepts should be:

- MethodConcept::PROPERTY,
- MethodConcept::LISTENER,
- MethodConcept::ENUMERATION,
- MethodConcept::NAMECONTAINER
- MethodConcept::INDEXCONTAINER;

Returns
  zero or more constants of the MethodConcept constants group combined by an arithmetical or-operation.

## ◆ getSuppliedPropertyConcepts()

long getSuppliedPropertyConcepts | ( |  | ) |

returns information about which property concepts described in the PropertyConcept constants group are supported by this XIntrospectionAccess implementation.

The minimum supported concepts should be:

- PropertyConcept::PROPERTYSET,
- PropertyConcept::ATTRIBUTES and
- PropertyConcept::METHODS.

Returns
  zero or more constants of the PropertyConcept constants group.combined by an arithmetical or-operation.

## ◆ getSupportedListeners()

sequence< type > getSupportedListeners | ( |  | ) |

returns the listener types supported by the introspected object.

If the introspected object has the methods `addFooListener( XFooListener xFoo )` and `removeFooListener( XFooListener xFoo )` the type of XFooListener will be one of the elements in the returned sequence.

Returns
  a sequence of the types of listener interfaces which are supported by the introspected object.

## ◆ hasMethod()

boolean hasMethod | ( | [in] string | aName,
|  | [in] long | nMethodConcepts
| ) |  |

allows to ask if a method with the demanded name exists and if it accords to one of the demanded MethodConcept.

Returns
  `TRUE` if the method exists and accords to one of the demanded MethodConcepts, otherwise `FALSE` is returned.

Parameters

  aName | the name of the method.
  nMethodConcepts | zero or more constants of the MethodConcept constants group combined by an arithmetical or-operation.

## ◆ hasProperty()

boolean hasProperty | ( | [in] string | aName,
|  | [in] long | nPropertyConcepts
| ) |  |

allows to ask if a property with the demanded name exists and if it accords to one of the demanded PropertyConcept.

Returns
  `TRUE` if the property exists and accords to one of the demanded PropertyConcepts, otherwise `FALSE` is returned.

Parameters

  aName | the name of the property.
  nPropertyConcepts | zero or more constants of the PropertyConcept constants group combined by an arithmetical or-operation.

## ◆ queryAdapter()

com::sun::star::uno::XInterface queryAdapter | ( | [in] type | aInterfaceType | ) |
raises | ( | com::sun::star::beans::IllegalTypeException
| ) |  |

creates an adapter that implements an interface with the specified type.

To access properties, query for the XPropertySet interface. If the XPropertySet can be queried, the XFastPropertySet interface must be supported too.

If the introspected object implements a name container, the introspection should return the com::sun::star::container::XNameAccess and com::sun::star::container::XNameContainer interfaces.

If the introspected object implements an index container, the introspection should return the com::sun::star::container::XIndexAccess and com::sun::star::container::XIndexContainer interfaces.

If the introspected object implements an enumeration container, the introspection should return the com::sun::star::container::XEnumerationAccess interface.

If the introspected object implements the com::sun::star::reflection::XIdlArray interface, the introspection should return this.

To implement inaccurate name access, at all objects, which implement the com::sun::star::container::XNameAccess or XPropertySet interface, the XExactName interface has to be supported.

See also
  com::sun::star::beans::XExactName

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XIntrospectionAccess.idl